<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class towerwarspp.main.game.Result (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class towerwarspp.main.game.Result (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?towerwarspp/main/game/class-use/Result.html" target="_top">Frames</a></li>
<li><a href="Result.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class towerwarspp.main.game.Result" class="title">Uses of Class<br>towerwarspp.main.game.Result</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game">Result</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.main.game">towerwarspp.main.game</a></td>
<td class="colLast">
<div class="block">The Game package which controls the main game and implements the save and load option.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.main.tournament">towerwarspp.main.tournament</a></td>
<td class="colLast">
<div class="block">The tournament package which implements the tournament modus.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.main.game">
<!--   -->
</a>
<h3>Uses of <a href="../../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game">Result</a> in <a href="../../../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a> that return <a href="../../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game">Result</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game">Result</a></code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/main/game/Game.html#play-int-towerwarspp.preset.PlayerColor-">play</a></span>(int&nbsp;timeOut,
    <a href="../../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;turn)</code>
<div class="block">Method play to start the <a href="../../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a>, means requesting <a href="../../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a>s from <a href="../../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s, updating the <a href="../../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a>
 and visualizing the whole game.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.main.tournament">
<!--   -->
</a>
<h3>Uses of <a href="../../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game">Result</a> in <a href="../../../../towerwarspp/main/tournament/package-summary.html">towerwarspp.main.tournament</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../towerwarspp/main/tournament/package-summary.html">towerwarspp.main.tournament</a> with parameters of type <a href="../../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game">Result</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><span class="typeNameLabel">TResult.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/main/tournament/TResult.html#addResult-towerwarspp.main.game.Result-">addResult</a></span>(<a href="../../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game">Result</a>&nbsp;result)</code>
<div class="block">Method addResult to include a <a href="../../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game"><code>Result</code></a> in the statistic</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?towerwarspp/main/game/class-use/Result.html" target="_top">Frames</a></li>
<li><a href="Result.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
